---
title: Overview
page_title: Overview | Kendo UI Barcode for Vue
description: "Use the Kendo UI Barcode component in a Vue project."
slug: overview_barcode
position: 1
---

# Barcode Overview

The Barcode is used to represent data in a machine-readable format.

### Basic Usage

The following example demonstrates how to initialize the Barcode with the wrapper for Vue. To access all CDN references, open the sample as Plunker.

```html-preview
<div id="vueapp" class="vue-app">
	<kendo-barcode :value="2346722" 
				   :type="'ean8'" 
				   :width="280" 
				   :height="100">
	</kendo-barcode>
    <kendo-barcode :value="barcodeValue"
	               :type="'code128'" 
				   :width="280" 
				   :height="100">
	</kendo-barcode>
    <input v-model="barcodeValue"/>
</div>
```
```js
Vue.use(BarcodesInstaller);

new Vue({
    el: "#vueapp",
    data: function() {
        return {
            barcodeValue: 'CHEESE'
        }
    }
})
```

## Features

The Barcode delivers the following features:
* All graphics are rendered on the client by using Scalable Vector Graphics (SVG).
* Support for different [symbologies](https://docs.telerik.com/kendo-ui/controls/barcodes/barcode/encodings#supported-symbologies).

## Suggested Links

* [API Reference of the Barcode](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/barcode)