---
title: Overview
page_title: Overview | Kendo UI QRCode for Vue
description: "Use the Kendo UI QRCode component in a Vue project."
slug: overview_qrcode
position: 1
---

# QRCode Overview

The Kendo UI QRCode widget helps you easily generate Canvas and Scalable Vector Graphics (SVG) images that represent QR (Quick Response) codes.

QR signifies that these images can be quickly read by a cell phone. QR codes are used to take a piece of information from a transitory media and put it into your cell phone.

### Basic Usage

The following example demonstrates how to initialize the QRCode with the wrapper for Vue. To access all CDN references, open the sample as Plunker.

```html-preview
<div id="vueapp" class="vue-app">
	<kendo-qrcode :value="'geo:42.65049,23.37925,100'" 
				  :error-collection="'H'" 
				  :size="120" 
				  :color="'#166a83'">
	</kendo-qrcode>
    <kendo-qrcode :value="qrCodeValue" :size="200"></kendo-qrcode>
    <input v-model="qrCodeValue"/>
</div>
```
```js
Vue.use(BarcodesInstaller);

new Vue({
    el: "#vueapp",
    data: function() {
        return {
            qrCodeValue: 'Some Text'
        }
    }
})
```

## Features

The QRCode delivers the following features:
* [Different conventions](https://docs.telerik.com/kendo-ui/controls/barcodes/qrcode/overview#general-conventions) support for QRCode values.
* Graphics rendered using HTML5 Canvas or SVG.
* Fallback to VML for older browsers.

## Suggested Links

* [API Reference of the QRCode](https://docs.telerik.com/kendo-ui/api/javascript/dataviz/ui/qrcode)
